;*********************************************************************
; Konvertiert Wert aus TEMP_A nach Hex
; In:      TEMP_A
; Out:     High TEMP_A, Low TEMP_B
; Scratch: TEMP_A, TEMP_B
;*********************************************************************

bin2hex:
		ldi		TEMP_B,0b00001111
		and		TEMP_B,TEMP_A				; Low-Nibble holen
		ori		TEMP_B,$30					; nach ASCII
		cpi		TEMP_B,'9'+1				; keine Ziffer?
		brlo	bin2hex_low_ok

		subi	TEMP_B,-7

bin2hex_low_ok:
		andi	TEMP_A,0b11110000			; High-Nibble
		swap	TEMP_A						; nach unter
		ori		TEMP_A,$30					; nach ASCII
		cpi		TEMP_A,'9'+1				; keine Ziffer?
		brlo	bin2hex_high_ok

		subi	TEMP_A,-7

bin2hex_high_ok:

		ret

